.TH XPICK 1 "local" 
.SH NAME
xpick - pick arguments via an X window
.SH SYNOPSIS
\fBxpick\fP [ -\fBtoolkit option\fP] [ -\fBn\fP ] [ - | arg ... ]
.PP
\fBxapply\fP [ - | arg ... ]
.SH DESCRIPTION
.I xpick
displays a window containing its arguments, each of which is selectable by
clicking mouse button 1. 
Clicking with  mouse button 1 on an already selected item deselects it.
Clicking with  mouse button 3 extends or reduces contiguous selections.
.PP
Hitting the \fBok\fP command button causes the
selected arguments to be echoed to standard output and xpick to terminate.
.PP
The \fBset\fP, \fBclear\fP and  \fBinvert\fP buttons each change
the selection state of the arguments according to the \fBpattern\fP
in text widget to their right. All arguments are compared with the
pattern and matching items set, cleared, or inverted
accordingly. Pattern matching follows that of sh(1) except that the
empty pattern matches everything
and ~ or ^ as well as ! may be used for character class negation.
.PP
If the user resizes the xpick window then the number of columns 
displayed is
adjusted to fit the new window width, and a vertical scroll bar
added if necessary.
.SH OPTIONS
.TP 10
-
Offer each line of standard input, rather than the arguments,
for selection.
.TP 10
-\fBn\fP
Display in \fIn\fP columns. 
.SH EXAMPLE
.nf
rm `xpick *`

or perhaps

rm `ls -ld *  | xpick -1 - | awk '{print $8}'`

Or, using the xapply script (which calls xpick)

xapply ll
or
xapply "nroff -man"

.fi
.SH ACCELERATORS
All keyboard input is directed to the pattern text widget. 
Typing <return> is equivalent to hitting the \fBset\fP command button.
.SH WIDGETS
In order to specify further resources, it is useful to know the hierarchy of
the widgets which compose \fBxpick\fR.  In the notation below,
indentation indicates hierarchical structure.  The widget class name
is given first, followed by the widget instance name.
.sp
.nf
.TA .5i 1.0i 1.5i 2.0i
.ta .5i 1.0i 1.5i 2.0i
Xpick  xpick
        Paned  vpaned
                Paned  hpaned
                        Command  ok
                        Command  set
                        Command  clear
                        Command  invert
                        Text  pattern
                Viewport  viewport
                        MultiList  multiList

.SH USEFUL RESOURCES (with typical default setting)
*multiList.defaultColumns:	4
.SH RESTRICTIONS
Pattern meta characters cannot be escaped.
.SH SEE ALSO
sh(1), X(1) Athena Widget Set

.SH AUTHOR
Gerry Tomlinson (gerry.tomlinson@newcastle.ac.uk) 
.SH COPYRIGHT
Copyright 1993, The Computing Laboratory, University of Newcastle Upon Tyne 
.SH ACKNOWLEDGMENTS
Xpick is based on pick, described in "The Unix Programming Environment",
by B.W. Kernighan & R. Pike, & included in Unix V8.
.br
It uses the Multilist widget by Brian Totty <totty@cs.uiuc.edu>
from the Free Widget Foundation widget set.
.br
The pattern matching code is adapted from that of the rc shell by Byron
Rakitzis <byron@archone.tamu.edu>.
